build: rapport_de_recherche.pdf

maxconsecutif.svg:
	dot -Tpdf maxconsecutif.dot -o maxconsecutif.pdf

rapport_de_recherche.pdf: rapport_de_recherche.bbl
	pdflatex rapport_de_recherche.tex
	pdflatex rapport_de_recherche.tex

rapport_de_recherche.bbl: rapport_de_recherche.tex maxconsecutif.svg
	pdflatex rapport_de_recherche.tex
	bibtex rapport_de_recherche.aux

run: rapport_de_recherche.pdf
	-evince rapport_de_recherche.pdf &

clean:
	-rm *.aux
	-rm *.bbl
	-rm *.blg
	-rm *.lof
	-rm *.log
	-rm *.out
	-rm *.toc
